Skip to main content
GET
/
v1
/
organizations
List User Organizations
curl --request GET \
  --url https://api.letpiper.com/v1/organizations/ \
  --header 'Authorization: Bearer <token>'
[
  {
    "name": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "business_information": "<string>",
    "timezone": "<string>",
    "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "role": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "is_system": true
    },
    "permissions": []
  }
]

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Response

200 - application/json

Successful Response

name
string
required
Required string length: 1 - 255
id
string<uuid>
required
business_information
string | null
required
timezone
string
required
created_by_user_id
string<uuid>
required
owner_user_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
role
RoleInfo · object
required

Basic role information for member responses.

permissions
string[]